Bug 950786 - Review Request: eclipse-photran - Fortran Development Tools (Photran) for Eclipse
Summary: Review Request: eclipse-photran - Fortran Development Tools (Photran) for Ecl...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-10 22:40 UTC by Orion Poplawski
Modified: 2013-05-20 19:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-20 19:53:53 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2013-04-10 22:40:34 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/eclipse-photran.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/eclipse-photran-8.1.0-0.1.20130409git.fc18.src.rpm
Description:
An Eclipse-based Integrated Development Environment for Fortran.

Fedora Account System Username: orion

This is re-splitting the photran component out of the eclipse-ptp package.

Comment 1 gil cattaneo 2013-04-23 15:37:31 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find license.html in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/eclipse-photran
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.

Maven:
[?]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-photran-8.1.0-0.1.20130409git.fc19.noarch.rpm
eclipse-photran.noarch: W: spelling-error Summary(en_US) Fortran -> FORTRAN, Fort ran, Fort-ran
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eclipse-photran
eclipse-photran.noarch: W: spelling-error Summary(en_US) Fortran -> FORTRAN, Fort ran, Fort-ran
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.updatesite_1.0.400.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.simpleconfigurator_1.0.400.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.sat4j.pb_2.3.0.v20100429.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.core.net_1.2.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.httpclient_4.0.300.201303090711.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.core.runtime_3.9.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.security_1.1.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.touchpoint.eclipse_2.1.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.repository.tools_2.1.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.core.runtime.compatibility.registry_3.5.200.v20130305-1020/runtime_registry_compatibility.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.metadata.repository_1.2.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.core.jobs_3.5.300.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.apache.commons.codec_1.7.0.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.core_2.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.touchpoint.natives_1.1.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.identity_3.2.0.201303090711.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.director.app_1.0.300.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.publisher.eclipse_1.1.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.engine_2.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.repository_2.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.launcher_1.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.simpleconfigurator.manipulator_2.0.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf_3.2.0.201303090711.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.frameworkadmin.equinox_1.0.500.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.director_2.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.ssl_1.1.0.201303090711.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.provider.filetransfer_3.2.0.R-Release_HEAD-sdk_feature-77_2012-06-10_19-42-02.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.osgi_3.9.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.preferences_3.5.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.common_3.6.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.ds_1.4.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.osgi.services_3.3.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.artifact.repository_1.1.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.apache.commons.httpclient_3.1.0.v20080605-1935.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.metadata_2.1.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.jarprocessor_1.0.300.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.filetransfer_5.0.0.R-Release_HEAD-sdk_feature-77_2012-06-10_19-42-02.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.apache.commons.logging_1.1.1.v20080605-1930.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.util_1.0.400.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.app_1.3.100.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_1.0.0.R-Release_HEAD-sdk_feature-77_2012-06-10_19-42-02.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.core.contenttype_3.4.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.garbagecollector_1.0.200.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.sat4j.core_2.3.0.v20100429.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.registry_3.5.300.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.tycho.noopsecurity_0.17.0.201303191243.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.ssl_1.0.0.R-Release_HEAD-sdk_feature-77_2012-06-10_19-42-02.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.transport.ecf_1.1.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.p2.publisher_1.3.0.v20130305-1020.jar
./.m2/org/eclipse/tycho/tycho-bundles-external/0.17.0-SNAPSHOT/eclipse/plugins/org.eclipse.equinox.frameworkadmin_2.0.100.v20130305-1020.jar
./.m2/org/eclipse/photran/org.eclipse.photran.managedbuilder.xlf.ui/8.0.0-SNAPSHOT/org.eclipse.photran.managedbuilder.xlf.ui-8.0.0-SNAPSHOT.jar
./.m2/org/eclipse/photran/org.eclipse.photran.managedbuilder.xlf.ui/8.0.0-SNAPSHOT/org.eclipse.photran.managedbuilder.xlf.ui-8.0.0-SNAPSHOT-sources.jar
./.m2/org/eclipse/photran/org.eclipse.photran.doc.user/8.0.0-SNAPSHOT/org.eclipse.photran.doc.user-8.0.0-SNAPSHOT.jar
./.m2/org/eclipse/photran/org.eclipse.photran.cdtinterface.vpg/8.0.0-SNAPSHOT/org.eclipse.photran.cdtinterface.vpg-8.0.0-SNAPSHOT-sources.jar
./.m2/org/eclipse/photran/org.eclipse.photran.cdtinterface.vpg/8.0.0-SNAPSHOT/org.eclipse.photran.cdtinterface.vpg-8.0.0-SNAPSHOT.jar
./.m2/org/eclipse/photran/org.eclipse.photran.managedbuilder.intel.ui/8.0.0-SNAPSHOT/org.eclipse.photran.managedbuilder.intel.ui-8.0.0-SNAPSHOT-sources.jar
./.m2/org/eclipse/photran/org.eclipse.photran.managedbuilder.intel.ui/8.0.0-SNAPSHOT/org.eclipse.photran.managedbuilder.intel.ui-8.0.0-SNAPSHOT.jar
./.m2/org/eclipse/photran/org.eclipse.photran.cdtinterface/8.0.0-SNAPSHOT/org.eclipse.photran.cdtinterface-8.0.0-SNAPSHOT.jar
./.m2/org/eclipse/photran/org.eclipse.photran.cdtinterface/8.0.0-SNAPSHOT/o

Requires
--------
eclipse-photran (rpmlib, GLIBC filtered):
    eclipse-cdt
    osgi(com.ibm.icu)
    osgi(org.eclipse.cdt.core)
    osgi(org.eclipse.cdt.debug.core)
    osgi(org.eclipse.cdt.debug.ui)
    osgi(org.eclipse.cdt.launch)
    osgi(org.eclipse.cdt.make.ui)
    osgi(org.eclipse.cdt.managedbuilder.core)
    osgi(org.eclipse.cdt.managedbuilder.ui)
    osgi(org.eclipse.cdt.ui)
    osgi(org.eclipse.core.commands)
    osgi(org.eclipse.core.expressions)
    osgi(org.eclipse.core.filebuffers)
    osgi(org.eclipse.core.resources)
    osgi(org.eclipse.core.runtime)
    osgi(org.eclipse.debug.core)
    osgi(org.eclipse.debug.ui)
    osgi(org.eclipse.help)
    osgi(org.eclipse.jface)
    osgi(org.eclipse.jface.text)
    osgi(org.eclipse.ltk.core.refactoring)
    osgi(org.eclipse.ltk.ui.refactoring)
    osgi(org.eclipse.photran.cdtinterface)
    osgi(org.eclipse.photran.core)
    osgi(org.eclipse.photran.core.vpg)
    osgi(org.eclipse.photran.core.vpg.preprocessor.c)
    osgi(org.eclipse.photran.doc.user)
    osgi(org.eclipse.photran.ui)
    osgi(org.eclipse.photran.ui.vpg)
    osgi(org.eclipse.rephraserengine.core)
    osgi(org.eclipse.rephraserengine.ui)
    osgi(org.eclipse.search)
    osgi(org.eclipse.text)
    osgi(org.eclipse.ui)
    osgi(org.eclipse.ui.console)
    osgi(org.eclipse.ui.editors)
    osgi(org.eclipse.ui.ide)
    osgi(org.eclipse.ui.navigator)
    osgi(org.eclipse.ui.navigator.resources)
    osgi(org.eclipse.ui.views)
    osgi(org.eclipse.ui.workbench)
    osgi(org.eclipse.ui.workbench.texteditor)



Provides
--------
eclipse-photran:
    eclipse-photran
    osgi(org.eclipse.photran.cdtinterface)
    osgi(org.eclipse.photran.cdtinterface.vpg)
    osgi(org.eclipse.photran.core)
    osgi(org.eclipse.photran.core.vpg)
    osgi(org.eclipse.photran.core.vpg.preprocessor.c)
    osgi(org.eclipse.photran.doc.user)
    osgi(org.eclipse.photran.managedbuilder.gnu.ui)
    osgi(org.eclipse.photran.managedbuilder.ui)
    osgi(org.eclipse.photran.ui)
    osgi(org.eclipse.photran.ui.vpg)
    osgi(org.eclipse.photran.ui.vpg.preprocessor.c)
    osgi(org.eclipse.rephraserengine.core)
    osgi(org.eclipse.rephraserengine.ui)



MD5-sum check
-------------
http://git.eclipse.org/c/ptp/org.eclipse.photran.git/snapshot/org.eclipse.photran-74923924e5df7031ca51b6de85a64ea7d96a5c70.tar.gz :
  CHECKSUM(SHA256) this package     : 389018fcec30098fb227b5edd8183585d2b30dedd991ae054a86b7daa023fd34
  CHECKSUM(SHA256) upstream package : e2c29c724d9900b55219dbed6ce107972039d4e67b59f208288333509c561f72
However, diff -r shows no differences


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29

Comment 2 Orion Poplawski 2013-04-23 18:16:44 UTC
Eclipse has its own guidelines:

https://fedoraproject.org/wiki/Packaging:EclipsePlugins
- No jpackage-utils needed.
- No javadocs

- License is in epl-v10.html and is in %doc

- Something is up with the bundled jar check - there are:

$ tar tf org.eclipse.photran-74923924e5df7031ca51b6de85a64ea7d96a5c70.tar.gz | grep -F .jar
org.eclipse.photran-74923924e5df7031ca51b6de85a64ea7d96a5c70/org.eclipse.rephraserengine-support/distrib/cdtdb-4.0.3-cmdline.jar
org.eclipse.photran-74923924e5df7031ca51b6de85a64ea7d96a5c70/org.eclipse.rephraserengine-support/distrib/cdtdb-4.0.3-eclipse.jar
org.eclipse.photran-74923924e5df7031ca51b6de85a64ea7d96a5c70/org.eclipse.rephraserengine.core/cdtdb-4.0.3-eclipse.jar

And they are removed with:

find -name \*.jar -exec rm {} +

Comment 3 Orion Poplawski 2013-04-23 18:18:10 UTC
New Package SCM Request
=======================
Package Name: eclipse-photran
Short Description: Fortran Development Tools (Photran) for Eclipse
Owners: orion
Branches: f19
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-23 18:40:14 UTC
Unretired, take ownership and submit package change request for f19 branch.

Comment 5 Orion Poplawski 2013-04-23 18:43:03 UTC
There is no f19 branch in pkgdb.

Comment 6 Orion Poplawski 2013-04-23 18:47:35 UTC
Package Change Request
======================
Package Name: eclipse-photran
New Branches: f19
Owners: orion
InitialCC:

Comment 7 Gwyn Ciesla 2013-04-23 18:51:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.